Skip to main content
PATCH
Change a member role

Authorizations

scribe_session
string
cookie
required

Browser session cookie set by the WorkOS sign-in flow.

Path Parameters

userId
string
required

User id of the member whose role to change.

Body

application/json

The new role.

New role for the member.

role
enum<string>
required

New role to assign to the member.

Available options:
owner,
admin,
member
Example:

"member"

Response

The updated member.

A user who belongs to the organization, with their role.

userId
string
required

User id of the member.

Example:

"usr_V1StGXR8_Z5jdHi6BmyT"

email
string<email>
required

Email address of the member.

name
string | null
required

Display name of the member.

Example:

"Ada Lovelace"

handle
string | null
required

Unique handle of the member.

Example:

"ada"

avatarUrl
string | null
required

Avatar URL of the member, or null.

Example:

"/api/uploads/users/usr_V1StGXR8_Z5jdHi6BmyT/avatar"

role
enum<string>
required

Role of a user inside an organization.

Available options:
owner,
admin,
member
Example:

"member"

joinedAt
integer
required

When the member joined the organization (epoch milliseconds).

Example:

1752624000000